## org.gnu.gdk
Class EventMotion

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Event
                  org.gnu.gdk.EventMotion

public class EventMotion
extends Event

Constructor Summary
`EventMotion(Event evt)` Promotion constructor.
`EventMotion(org.gnu.glib.Handle handle)`

Method Summary
`Device` `getDevice()`
`boolean` `getSendEvent()`
`ModifierType` `getState()`
`int` `getTimeMillis()`
`Window` `getWindow()`
`double` `getX()`
`double` `getXRoot()`
`double` `getY()`
`double` `getYRoot()`
`boolean` `isHint()`

Methods inherited from class org.gnu.gdk.Event
`eventsPending, get, getGraphicsExpose, getTime, peek, put`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventMotion

    public EventMotion(Event evt)

  Promotion constructor. Construct the specific event object by promoting (sharing the `Handle` object of) the base `Event`.

### EventMotion

    public EventMotion(org.gnu.glib.Handle handle)

Method Detail

### getWindow

    public Window getWindow()

### getSendEvent

    public boolean getSendEvent()

### getTimeMillis

    public int getTimeMillis()

### getX

    public double getX()

### getY

    public double getY()

### getState

    public ModifierType getState()

### isHint

    public boolean isHint()

### getDevice

    public Device getDevice()

### getXRoot

    public double getXRoot()

### getYRoot

    public double getYRoot()